package org.beginningee6.tutorial;

import javax.enterprise.inject.Alternative;

/**
 * @author Antonio Goncalves & Alexis Moussine-Pouchkine
 *         Tutorial - Beginning with The Java EE 6 Platform
 *         http://www.antoniogoncalves.org
 *         http://blogs.sun.com/alexismp
 *         --
 *         A default implementation of the Customer interface with no CDI Qualifier
 */
@Alternative
public class DefaultCustomer implements Customer {

    // ======================================
    // =          Business methods          =
    // ======================================

    @Override
    public OrderItem buy(String isbn) {
        System.out.println("Not supported yet.");
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public boolean canBuy() {
        return false;
    }

}
