/**
 * @author Antonio Goncalves & Alexis Moussine-Pouchkine
 *         Tutorial - Beginning with The Java EE 6 Platform
 *         http://www.antoniogoncalves.org
 *         http://blogs.sun.com/alexismp
 *         --
 *         A simple helper POJO
 */

package org.beginningee6.tutorial;

public class OrderItem {

    // ======================================
    // =             Attributes             =
    // ======================================

    String isbn = "INVALID";

    // ======================================
    // =            Constructors            =
    // ======================================

    public OrderItem(String isbn) {
        this.isbn = isbn;
    }

    // ======================================
    // =         hash, equals, toString     =
    // ======================================


    @Override
    public String toString() {
        return isbn;
    }
}